Gets the latest status of a Eft Payment
GET
Bearerheader
Authorization<token>JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
paymentId*stringFormat
uuidX-Forwarded-For?stringOK
application/json- response
status?PaymentStateValue in
"NEW""QUEUED""SUBMITTED""ACCEPTED""COMPLETED""VALIDATION_FAILURE""TRANSACTION_FAILURE""DISPUTED""UNPAID""UNPAID_WITH_RECOURSE""INTERNAL_FAILURE""CUTOFF"paymentId?string|nullprofileCode?string|nullcode?string|nulldescription?string|nullexternalReference?string|nullfileNameReference?string|nullcreatedAt?stringFormat
date-timeid?string|nullcurl -X GET 'https://www.api.revio.co.za/v2/payment/eft/497f6eca-6276-4993-bfeb-53cbbbba6f08/status'Example Response200
{ "status": "NEW", "paymentId": "string", "profileCode": "string", "code": "string", "description": "string", "externalReference": "string", "fileNameReference": "string", "createdAt": "2019-08-24T14:15:22Z", "id": "string"}